Subject: Re: bug#41373: GNU ELPA: Add "reporting bugs" to individual package pages

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 May 2020 21:07:45 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 17 May 2020 19:14:57 -0700
> 
> One user reports:
> 
>     That change fixes the issue! Great! Let’s file a bug and then submit the
>     fix for it… except… the project.el file contains absolutely no
>     information about how to submit bugs or patches. There’s nothing on the
>     project.el web page. No websites, no bug tracker, no email addresses.
> 
>     Folks, if you maintain Open Source software and you ever wonder why
>     you’re not getting contributions… this is why you’re not getting
>     contributions: because you don’t spend any time thinking about making it
>     easy (or in this case, even possible) for folks to contribute back to
>     your project.
> 
>     So, instead of supplying a bug report and a patch, so that other folks
>     might avoid this problem when they upgrade their Emacs packages (and
>     instead of working on PROJECT APOLLO, like I planned to do today), I’m
>     writing this blog post. Hopefully, after I post this online in a few
>     places, Cunningham’s Law will kick in and somebody will show up and tell
>     me where I can send this patch after all…
> 
>     https://genehack.blog/2020/05/open-source-annoyances-and-affordances/
> 
> I think this is situation could be alleviated by including a static
> section on the pages for individual packages which explains how to
> report bugs.

Is this about project.el that's in Emacs?  That one says it is part of
GNU Emacs, like any other bundled package, and thus bugs should be
reported to the Emacs bug tracker, see "emacs --help".  Not sure what
you mean by "pages for individual packages".